<script>
jQuery('head').append('<link rel="stylesheet" href="<?php echo $this->getSkinUrl('css/magebird_popup/widget/contact/1.css?v=1.5.2') ?>" type="text/css" />');
var successMsg = decodeURIComponent(('<?php echo urlencode(Mage::helper('cms')->getBlockTemplateProcessor()->filter(urldecode($this->getData('success_msg')))) ?>'+'').replace(/\+/g, '%20'));
var successAction = '<?php echo $this->getData('on_success') ? $this->getData('on_success') : 1;?>';
var successUrl = '<?php echo $this->getData('success_url');?>';
var errorText = '<?php echo $this->__('Write a valid Email address') ?>';
<?php
$delay = 0;
if($this->getData('on_success')==2){
  $delay = $this->getData('close_delay'); 
}elseif($this->getData('on_success')==3){
  $delay = $this->getData('redirect_delay');
}
?>
var actionDelay = '<?php echo $delay*1000; ?>'; 
</script>
<script type="text/javascript">  
jQuery('head').append('<link rel="stylesheet" href="<?php echo $this->getSkinUrl('css/magebird_popup/widget/newsletter/global.css?v=1.5.2') ?>" type="text/css" />');
var workingText = '<?php echo $this->__('Working')?>...';
<?php
if(Mage::app()->getStore()->isCurrentlySecure()){
  $sendemailUrl = Mage::getUrl('magebird_popup/contact/submit', array('_forced_secure' => true));         
}else{
  $sendemailUrl = Mage::getUrl('magebird_popup/contact/submit');
}
?>
var sendemailUrl = '<?php echo $sendemailUrl ?>';
var url = "<?php echo $this->getSkinUrl('js/magebird_popup/contact.js') ?>";
jQuery.getScript(url); 
</script>
<!--DONT REMOVE! jQuery use it to check if css is loaded-->
<div class="cssLoadedChecker moctod-dribegam"></div>
<div class="cssLoadedChecker2 moctod-dribegam"></div>

<?php 
$randomId = substr(str_shuffle("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"), 0, 7);
$buttonColor = $this->getData('button_color') ? $this->getData('button_color') : '#d83c3c';
if(strpos($buttonColor,'#') === false) $buttonColor = "#".$buttonColor; 
$buttonTextColor = $this->getData('button_text_color');
if(!$buttonTextColor) $buttonTextColor = "#FFFFFF";
if(strpos($buttonTextColor,'#') === false) $buttonTextColor = "#".$buttonTextColor; 
?>
<style>
#<?php echo $randomId?>.contactPopup form {              
    width: <?php echo $this->getData('width')?><?php echo $this->getData('width_unit')==2 ? "%" : "px";?>;
}

#<?php echo $randomId?>.contactPopup form input{
  width: <?php echo $this->getData('width')-20?>px;
  <?php if($this->getData('width_unit')==2):?>
  width:100%;   
  -moz-box-sizing:    border-box;
  -webkit-box-sizing: border-box;
  box-sizing:        border-box;  
  <?php endif;?>
}

#<?php echo $randomId?>.contactPopup button {
    background-color: <?php echo $buttonColor; ?>;  
    width: <?php echo $this->getData('width')-8?>px;    
    color:<?php echo $buttonTextColor?>;
    <?php if($this->getData('width_unit')==2):?>
    width:100%;   
    -moz-box-sizing:    border-box;
    -webkit-box-sizing: border-box;
    box-sizing:        border-box;  
    <?php endif;?>    
}  
</style>
<div class="contactPopup tp1" id="<?php echo $randomId?>"> 
  <div class="error" style="display:none;"></div>
  <form method="post" id="popup-contact-form" onsubmit="return false"> 
          <input class="required" type="text" placeholder="<?php echo $this->__('Your name')?>" name="name" title="<?php echo $this->__('Your name')?>" />
          <!--<input class="required" type="text" placeholder="<?php echo $this->__('Enter Your Email')?>" name="email" title="<?php echo $this->__('Enter Your Email')?>" />-->
          <input class="required" type="text" placeholder="<?php echo $this->__('Enter Your Message')?>" name="comment" title="<?php echo $this->__('Enter Your Message')?>" />        
          <button class="async_false" type="submit" title="<?php echo $this->__('Send')?>">
          <?php echo $this->getData('button_text') ? $this->getData('button_text') : $this->__('Send') ?>
          </button>
  </form>
</div> 